BizKitHub
DocsAPI ReferenceContact/bff/contact/consent/grant
postContactAdmin BFF

/bff/contact/consent/grant

Grants a specific consent type for a contact.

ContactpostBffContactConsentGrant

Parameters

JSON body

Request body

application/json
idstringRequired

Contact external ID.

typestringRequired

Consent type.

Examplesnewslettermarketinggdpr
sourcestringOptional

Source of the consent grant.

Examplesadminweb
notestringOptional

Optional note about the consent.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/consent/grant

post
curl -X POST "https://api.bizkithub.com/bff/contact/consent/grant" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "type": "newsletter",
  "source": "admin",
  "note": "example_note"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key